## gr-satellites 3.22.0

=== CMakeLists.txt ===
# Copyright 2011,2012,2014,2016,2018 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.8)
project(gr-satellites CXX C)
enable_testing()

# Install to PyBOMBS target prefix if defined
if(DEFINED ENV{PYBOMBS_PREFIX})
    set(CMAKE_INSTALL_PREFIX $ENV{PYBOMBS_PREFIX})
    message(STATUS "PyBOMBS installed GNU Radio. Setting CMAKE_INSTALL_PREFIX to $ENV{PYBOMBS_PREFIX}")
endif()

# Select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set the version information here
set(VERSION_MAJOR 3)
set(VERSION_API 22)
set(VERSION_ABI 0)
set(VERSION_PATCH 0)

cmake_policy(SET CMP0011 NEW)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Add warnings
if (MSVC)
    # warning level 4 and all warnings as errors
    add_compile_options(/W4)
else()
    # lots of warnings and all warnings as errors
    add_compile_options(-Wall -Wextra -Wno-unused-parameter)
endif()

########################################################################
# Compiler specific setup
########################################################################
if((CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
    CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_CXX_STANDARD 11)
ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_CXX_STANDARD 11)
ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_CXX_STANDARD 11)
ELSE()
    message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

IF(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_C_STANDARD 11)
ELSE()
    message(WARNING "C standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

########################################################################
# Install directories
########################################################################
find_package(Gnuradio "3.8" REQUIRED COMPONENTS analog blocks digital fft filter)
include(GrVersion)

include(GrPlatform) #define LIB_SUFFIX

if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

set(GR_INCLUDE_DIR      include/satellites)
set(GR_CMAKE_DIR        ${CMAKE_MODULES_DIR}/satellites)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(Doxygen)

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Setup manpage option
########################################################################
if(NOT WIN32)
    option(ENABLE_MANPAGES "Build man pages for commands" ON)
else(NOT WIN32)
    option(ENABLE_MANPAGES "Build man pages for commands" OFF)
endif(NOT WIN32)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
    )


########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/satellites)
add_subdirectory(lib)
add_subdirectory(apps)
add_subdirectory(docs)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)

########################################################################
# Install cmake search helper for this library
########################################################################

install(FILES cmake/Modules/satellitesConfig.cmake
    DESTINATION ${CMAKE_MODULES_DIR}/satellites
)

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.13
# by the following command:
#
#    pip-compile
#
alabaster==1.0.0
    # via sphinx
babel==2.17.0
    # via sphinx
certifi==2025.1.31
    # via requests
charset-normalizer==3.4.1
    # via requests
docutils==0.21.2
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.6
    # via sphinx
markupsafe==3.0.2
    # via jinja2
packaging==24.2
    # via sphinx
pygments==2.19.1
    # via sphinx
requests==2.32.3
    # via sphinx
roman-numerals-py==3.1.0
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==8.2.3
    # via
    #   -r requirements.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-rtd-theme==3.0.2
    # via -r requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
urllib3==2.3.0
    # via requests

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    aausat4_remove_fsm.py
    adapters.py
    adsb_kml.py
    ao40_uncoded_crc.py
    append_crc32c.py
    autopolarization.py
    bch15.py
    beesat_classifier.py
    bme_submitter.py
    bme_ws_submitter.py
    cc11xx_packet_crop.py
    check_address.py
    check_ao40_uncoded_crc.py
    check_astrocast_crc.py
    check_cc11xx_crc.py
    check_crc16_ccitt.py
    check_crc16_ccitt_false.py
    check_crc.py
    check_eseo_crc.py
    check_hex_string.py
    check_swiatowid_crc.py
    check_tt64_crc.py
    crc32c.py
    crcs.py
    csp_header.py
    csp_address_filter.py
    csp_zmq_pub.py
    csp_zmq_sub.py
    ecss_pus.py
    eseo_line_decoder.py
    eseo_packet_crop.py
    feh.py
    fixedlen_tagger.py
    funcube_submit.py
    hdlc.py
    hdlc_deframer.py
    hdlc_framer.py
    k2sat_deframer.py
    kiss.py
    kiss_to_pdu.py
    ks1q_header_remover.py
    lilacsat1_gps_kml.py
    ngham_check_crc.py
    ngham_packet_crop.py
    ngham_remove_padding.py
    pdu_to_kiss.py
    print_header.py
    print_timestamp.py
    pwsat2_submitter.py
    pwsat2_telemetry_parser.py
    reflect_bytes.py
    snet_classifier.py
    snet_deframer.py
    submit.py
    swap_crc.py
    swap_header.py
    swiatowid_packet_crop.py
    swiatowid_packet_split.py
    sx12xx_check_crc.py
    sx12xx_packet_crop.py
    DESTINATION ${GR_PYTHON_DIR}/satellites
)

add_subdirectory(ccsds)
add_subdirectory(components)
add_subdirectory(core)
add_subdirectory(hier)
add_subdirectory(filereceiver)
add_subdirectory(satyaml)
add_subdirectory(telemetry)
add_subdirectory(usp)
add_subdirectory(utils)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_costas_loop_8apsk_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_costas_loop_8apsk_cc.py)
GR_ADD_TEST(qa_crc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_crc.py)
GR_ADD_TEST(qa_fixedlen_tagger ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_fixedlen_tagger.py)
GR_ADD_TEST(qa_fixedlen_to_pdu ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_fixedlen_to_pdu.py)
GR_ADD_TEST(qa_hdlc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_hdlc.py)
GR_ADD_TEST(qa_kiss ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_kiss.py)
GR_ADD_TEST(qa_manchester_sync ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_manchester_sync.py)
GR_ADD_TEST(qa_nrzi ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_nrzi.py)
GR_ADD_TEST(qa_pdu_add_meta ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_pdu_add_meta.py)
GR_ADD_TEST(qa_pdu_head_tail ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_pdu_head_tail.py)
GR_ADD_TEST(qa_pdu_length_filter ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_pdu_length_filter.py)
GR_ADD_TEST(qa_pdu_scrambler ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_pdu_scrambler.py)
GR_ADD_TEST(qa_phase_unwrap ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_phase_unwrap.py)
GR_ADD_TEST(qa_rs ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_rs.py)
GR_ADD_TEST(qa_selector ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_selector.py)
GR_ADD_TEST(qa_viterbi ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_viterbi.py)

=== python/telemetry/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    aausat4.py
    aepex_70cm.py
    aepex_sw_stat.py
    amicalsat.py
    asrtu.py
    au03.py
    ax25.py
    binar1.py
    by02.py
    by70_1.py
    ccsds.py
    cirbe_70cm.py
    cirbe_bct_soh.py
    csp.py
    ctim_70cm.py
    cute_70cm.py
    cute_bct_fsw.py
    cute_bct_soh.py
    cute_pld.py
    delfic3.py
    delfipq.py
    dstar_one.py
    erminaz.py
    eseo.py
    fossasat.py
    fossasat_1b.py
    fossasat_2.py
    floripasat.py
    funcube.py
    gomx_1.py
    gomx_3.py
    inspiresat_1.py
    kr01.py
    lume.py
    mirsat1.py
    mysat1.py
    nila.py
    picsat.py
    qo100.py
    quetzal1.py
    sat_1kuns_pf.py
    sat_3cat_1.py
    sat_3cat_2.py
    smogp.py
    snet.py
    suomi100.py
    trisat.py
    upmsat_2.py
    vzlusat_2.py
    DESTINATION ${GR_PYTHON_DIR}/satellites/telemetry
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_by02 ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_by02.py)

=== python/components/deframers/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    aalto1_deframer.py
    aausat4_deframer.py
    aistechsat_2_deframer.py
    ao40_fec_deframer.py
    ao40_uncoded_deframer.py
    astrocast_fx25_deframer.py
    ax100_deframer.py
    ax25_deframer.py
    ax5043_deframer.py
    binar1_deframer.py
    binar2_deframer.py
    ccsds_concatenated_deframer.py
    ccsds_rs_deframer.py
    diy1_deframer.py
    endurosat_deframer.py
    eseo_deframer.py
    fossasat_deframer.py
    geoscan_deframer.py
    grizu263a_deframer.py
    hades_deframer.py
    hsu_sat1_deframer.py
    ideassat_deframer.py
    k2sat_deframer.py
    lilacsat_1_deframer.py
    lucky7_deframer.py
    mobitex_deframer.py
    ngham_deframer.py
    nusat_deframer.py
    openlst_deframer.py
    ops_sat_deframer.py
    qubik_deframer.py
    reaktor_hello_world_deframer.py
    sanosat_deframer.py
    sat_3cat_1_deframer.py
    smogp_ra_deframer.py
    smogp_signalling_deframer.py
    snet_deframer.py
    spino_deframer.py
    swiatowid_deframer.py
    tt64_deframer.py
    u482c_deframer.py
    ua01_deframer.py
    usp_deframer.py
    yusat_deframer.py
    DESTINATION ${GR_PYTHON_DIR}/satellites/components/deframers
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_ao40_fec_deframer ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_ao40_fec_deframer.py)
GR_ADD_TEST(qa_usp_deframer ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_usp_deframer.py)

=== debian/changelog ===
gr-satellites (3.22.0-1) unstable; urgency=medium

  * New upstream release (final).

 -- Daniel Ekman <knegge@gmail.com>  Fri, 01 Aug 2025 09:25:04 +0200

gr-satellites (3.21.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Ekman <knegge@gmail.com>  Tue, 11 Feb 2025 08:19:02 +0100

gr-satellites (3.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Ekman <knegge@gmail.com>  Thu, 31 Oct 2024 08:33:24 +0100

gr-satellites (3.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Ekman <knegge@gmail.com>  Sun, 31 Dec 2023 17:52:23 +0100

gr-satellites (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Ekman <knegge@gmail.com>  Tue, 29 Aug 2023 08:48:08 +0200

gr-satellites (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Ekman <knegge@gmail.com>  Mon, 28 Aug 2023 20:27:34 +0200

gr-satellites (3.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Ekman <knegge@gmail.com>  Sat, 03 Jun 2023 10:35:28 +0200

gr-satellites (3.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Ekman <knegge@gmail.com>  Sun, 29 Jan 2023 11:05:54 +0100

gr-satellites (3.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Ekman <knegge@gmail.com>  Sat, 19 Nov 2022 13:18:26 +0100

gr-satellites (3.15.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Ekman <knegge@gmail.com>  Mon, 24 Oct 2022 20:30:22 +0200

gr-satellites (3.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Ekman <knegge@gmail.com>  Tue, 20 Sep 2022 20:47:06 +0200

gr-satellites (3.11.0-2) unstable; urgency=medium

  * Fix debhelper version.
  * Disable tests.

 -- Fabian P. Schmidt <fschmidt@mailbox.org>  Fri, 21 Jan 2022 12:34:05 +0100

gr-satellites (3.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Fabian P. Schmidt <fschmidt@mailbox.org>  Fri, 21 Jan 2022 00:23:47 +0100

=== debian/control ===
Source: gr-satellites
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>,
           Christoph Berg <myon@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               doxygen,
               gnuradio-dev,
               pkg-config,
               python3,
               python3-construct,
               python3-mako,
               python3-requests,
               python3-six,
               python3-websocket,
               swig
Standards-Version: 4.5.0
Homepage: https://github.com/daniestevez/gr-satellites
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-satellites.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-satellites

Package: libgnuradio-satellites3.22.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Recommends: gr-satellites
Description:GNU Radio out-of-tree module with Amateur satellite decoders.
 gr-satellites is a GNU Radio out-of-tree module that contains a collection of
 decoders for Amateur satellites. It supports most popular protocols, such as AX.25,
 the GOMspace NanoCom U482C and AX100 modems, an important part of the CCSDS stack,
 the AO-40 protocol used in the FUNcube satellites, and several ad-hoc protocols
 used in other satellites.
 .
 This package contains the shared library.

Package: gr-satellites
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-satellites3.22.0 (=${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-construct,
         python3-requests,
         python3-websocket
Recommends: feh
Description:GNU Radio out-of-tree module with Amateur satellite decoders.
 gr-satellites is a GNU Radio out-of-tree module that contains a collection of
 decoders for Amateur satellites. It supports most popular protocols, such as AX.25,
 the GOMspace NanoCom U482C and AX100 modems, an important part of the CCSDS stack,
 the AO-40 protocol used in the FUNcube satellites, and several ad-hoc protocols
 used in other satellites.
 .
 This package contains the header files and grc block definitions,
 and a set of satellite telemetry decoding scripts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_test:
	- dh_auto_test
